ros-kilted-examples-rclcpp-minimal-subscriber (0.20.6-2noble) noble; urgency=high

  * Fix CMAKE deprecation (#419 <https://github.com/ros2/examples//issues/419>) (#420 <https://github.com/ros2/examples//issues/420>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Oct 2025 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.20.5-2noble) noble; urgency=high

  * Use target_link_libraries instead of ament_target_dependencies (#404 <https://github.com/ros2/examples/issues/404>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Apr 2025 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.20.4-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.20.3-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.20.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.20.1-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.20.0-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.19.3-2noble) noble; urgency=high

  * fix: Fixed compilation after API change of TimerBase::execute (#375 <https://github.com/ros2/examples/issues/375>)
    Co-authored-by: Janosch Machowinski <mailto:J.Machowinski@cellumation.com>
  * Contributors: jmachowinski

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.19.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.19.1-2noble) noble; urgency=high

  * Split lambda and subscriber def in minimal example (#363 <https://github.com/ros2/examples/issues/363>)
  * Contributors: Felipe Gomes de Melo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.19.0-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.18.0-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.17.1-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.17.0-2noble) noble; urgency=high

  * Update the examples to C++17. (#353 <https://github.com/ros2/examples/issues/353>)
  * [rolling] Update maintainers - 2022-11-07 (#352 <https://github.com/ros2/examples/issues/352>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.16.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.16.1-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.16.0-2noble) noble; urgency=high

  * add ContentFilteredTopic example. (#341 <https://github.com/ros2/examples/issues/341>)
  * Contributors: Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.15.0-2noble) noble; urgency=high

  * Use const& signature for read-only sub callbacks (#337 <https://github.com/ros2/examples/issues/337>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.14.0-2noble) noble; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.13.0-2noble) noble; urgency=high

  * Fix deprecated subscriber callbacks (#323 <https://github.com/ros2/examples/issues/323>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.12.0-2noble) noble; urgency=high

  * Add wait set examples (#315 <https://github.com/ros2/examples/issues/315>)
  * Add type adaption example (#300 <https://github.com/ros2/examples/issues/300>)
  * Contributors: Audrow Nash, carlossvg

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Aug 2021 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.11.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.11.1-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Apr 2021 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.11.0-2noble) noble; urgency=high

  * Unique network flows (#296 <https://github.com/ros2/examples/issues/296>)
  * Contributors: Ananya Muddukrishna

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.10.3-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.10.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.10.1-2noble) noble; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.10.0-2noble) noble; urgency=high

  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Remove a TODO in the not_composable demo. (#285 <https://github.com/ros2/examples/issues/285>)
  * Add Topic Statistics Example (#281 <https://github.com/ros2/examples/issues/281>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Devin Bonnie

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.9.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.9.1-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.9.0-2noble) noble; urgency=high

  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.8.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.8.1-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.7.3-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.7.2-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.7.1-2noble) noble; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.7.0-2noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.6.2-2noble) noble; urgency=high

  * Updated documentation. (#225 <https://github.com/ros2/examples/issues/225>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.6.0-2noble) noble; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#214 <https://github.com/ros2/examples/issues/214>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Nov 2018 23:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.5.1-2noble) noble; urgency=high

  * make Mikael Arguedas the maintainer (#212 <https://github.com/ros2/examples/issues/212>)
  * Contributors: Mikael Arguedas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.5.0-2noble) noble; urgency=high

  * Change the not_composable example to destroy subscription first. (#210 <https://github.com/ros2/examples/issues/210>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jun 2018 22:00:00 -0000

ros-kilted-examples-rclcpp-minimal-subscriber (0.4.0-2noble) noble; urgency=high

  * use global node not local (#195 <https://github.com/ros2/examples/issues/195>)
  * Use logging (#190 <https://github.com/ros2/examples/issues/190>)
  * 0.0.3
  * call shutdown before exiting (#179 <https://github.com/ros2/examples/issues/179>)
  * 0.0.2
  * rename executables with shorter names (#177 <https://github.com/ros2/examples/issues/177>)
  * install executables in package specific path #173 <https://github.com/ros2/examples/issues/173>
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * add pedantic flag
  * Cpp14 (#147 <https://github.com/ros2/examples/issues/147>)
  * Minimal service and client (#138 <https://github.com/ros2/examples/issues/138>)
  * Add examples_ prefix to package names to avoid future collisions. (#137 <https://github.com/ros2/examples/issues/137>)
  * attempt to improve indentation which includes a c++11 lambda
  * fix cmake indentation and c++11 flag ordering
  * change talker/listener to minimal_publisher/minimal_subscriber
  * Contributors: Dirk Thomas, Mikael Arguedas, Morgan Quigley

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


